summaryrefslogtreecommitdiff
path: root/configs/profile/build.sh
diff options
context:
space:
mode:
Diffstat (limited to 'configs/profile/build.sh')
-rwxr-xr-xconfigs/profile/build.sh42
1 files changed, 23 insertions, 19 deletions
diff --git a/configs/profile/build.sh b/configs/profile/build.sh
index 44b6c51..02eb436 100755
--- a/configs/profile/build.sh
+++ b/configs/profile/build.sh
@@ -85,23 +85,23 @@ make_packages() {
local _packages_msg="standard packages as declared in the following files:"
local _gui_packages_msg="non-graphical packages as declared in the following files:"
# standard package lists
- local _install_lists=$( ls ${packages_dir}/packages-{all,${iso_init}}.{all,${arch}} 2> /dev/null || true)
- local _cache_lists=$( ls ${packages_dir}/cache-{all,${iso_init}}.{all,${arch}} 2> /dev/null || true)
+ local _install_base_lists=$( ls ${packages_dir}/packages-{all,${iso_init}}.{all,${arch}} 2> /dev/null || true)
+ local _cache_base_lists=$( ls ${packages_dir}/cache-{all,${iso_init}}.{all,${arch}} 2> /dev/null || true)
# gui-specific package lists
local _install_gui_lists=$( ls ${packages_dir}/packages-{gui,${iso_gui}}.{all,${arch}} 2> /dev/null || true)
local _cache_gui_lists=$( ls ${packages_dir}/cache-{gui,${iso_gui}}.{all,${arch}} 2> /dev/null || true)
# init-specific gui package lists
local _install_initgui_lists=$(ls ${packages_dir}/packages-${iso_init}-gui.{all,${arch}} 2> /dev/null || true)
local _cache_initgui_lists=$( ls ${packages_dir}/cache-${iso_init}-gui.{all,${arch}} 2> /dev/null || true)
- _install_lists=${_install_lists// /}
- _cache_lists=${_cache_lists// /}
+ _install_base_lists=${_install_base_lists// /}
+ _cache_base_lists=${_cache_base_lists// /}
_install_gui_lists=${_install_gui_lists// /}
_cache_gui_lists=${_cache_gui_lists// /}
_install_initgui_lists=${_install_initgui_lists// /}
_cache_initgui_lists=${_cache_initgui_lists// /}
# collect standard packages
- local _install_packages=$( [ "${_install_lists}" ] && grep -hv ^# ${_install_lists})
- local _cache_packages=$( [ "${_cache_lists}" ] && grep -hv ^# ${_cache_lists})
+ local _install_base_packages=$( [ "${_install_base_lists}" ] && grep -hv ^# ${_install_base_lists})
+ local _cache_base_packages=$( [ "${_cache_base_lists}" ] && grep -hv ^# ${_cache_base_lists})
# collect gui-specific packages
local _install_gui_packages=$( [ "${_install_gui_lists}" ] && grep -hv ^# ${_install_gui_lists})
local _cache_gui_packages=$( [ "${_cache_gui_lists}" ] && grep -hv ^# ${_cache_gui_lists})
@@ -116,20 +116,19 @@ make_packages() {
_cache_gui_packages="${_cache_gui_packages} ${_cache_initgui_packages}"
fi
# display results
- _install_lists=${_install_lists// /}
- _cache_lists=${_cache_lists// /}
_install_gui_lists=${_install_gui_lists// /}
_cache_gui_lists=${_cache_gui_lists// /}
- _install_packages=${_install_packages// /}
- _cache_packages=${_cache_packages// /}
+ _cache_base_packages=${_cache_base_packages// /}
_install_gui_packages=${_install_gui_packages// /}
_cache_gui_packages=${_cache_gui_packages// /}
- [ "${_install_packages}" ] && echo "Installing ${_packages_msg}" && echo "${_install_lists}" | sed "s/.*\//\t/"
- [ "${_cache_packages}" ] && echo "Caching ${_packages_msg}" && echo "${_cache_lists}" | sed "s/.*\//\t/"
- [ "${_install_gui_packages}" ] && echo "Installing ${_gui_packages_msg}" && echo "${_install_gui_lists}" | sed "s/.*\//\t/"
- [ "${_cache_gui_packages}" ] && echo "Caching ${_gui_packages_msg}" && echo "${_cache_gui_lists}" | sed "s/.*\//\t/"
- _install_packages="${_install_packages} ${_install_gui_packages}"
- _cache_packages="${_cache_packages} ${_cache_gui_packages}"
+ local _install_packages="${_install_base_packages} ${_install_gui_packages}"
+ local _cache_packages="${_cache_base_packages} ${_cache_gui_packages}"
+ _install_packages=${_install_packages// /}
+ _cache_packages=${_cache_packages// /}
+ [ "${_install_base_packages}" ] && echo "Installing ${_packages_msg}" && echo "${_install_base_lists}" | sed "s/.*\//\t/"
+ [ "${_cache_base_packages}" ] && echo "Caching ${_packages_msg}" && echo "${_cache_base_lists}" | sed "s/.*\//\t/"
+ [ "${_install_gui_packages}" ] && echo "Installing ${_gui_packages_msg}" && echo "${_install_gui_lists}" | sed "s/.*\//\t/"
+ [ "${_cache_gui_packages}" ] && echo "Caching ${_gui_packages_msg}" && echo "${_cache_gui_lists}" | sed "s/.*\//\t/"
# install packages
setarch ${arch} mkparabolaiso ${verbose} -w ${work_dir}/${arch} -C ${pacman_conf} -D ${iso_dirname} -p "${_install_packages}" install
@@ -149,6 +148,12 @@ make_packages() {
pushd ${work_dir}/${arch}/root-image/isorepo > /dev/null
setarch ${arch} repo-add --new isorepo.db.tar.gz ./*
popd > /dev/null
+
+ # refresh pacman keyring in chroot
+ arch-chroot ${work_dir}/${arch}/root-image pacman-key --init && \
+ pacman-key --populate archlinux archlinux32 \
+ archlinuxarm parabola && \
+ pacman-key --refresh
}
# Copy mkinitcpio parabolaiso hooks and build initramfs (root-image)
@@ -211,10 +216,9 @@ make_syslinux() {
cp ${work_dir}/${arch}/root-image/usr/lib/syslinux/bios/memdisk ${work_dir}/iso/${iso_dirname}/boot/syslinux
mkdir -p ${work_dir}/iso/${iso_dirname}/boot/syslinux/hdt
gzip -c -9 ${work_dir}/${arch}/root-image/usr/share/hwdata/pci.ids > ${work_dir}/iso/${iso_dirname}/boot/syslinux/hdt/pciids.gz
-# gzip -c -9 ${work_dir}/${arch}/root-image/usr/lib/modules/*-gnu-*/modules.alias > ${work_dir}/iso/${iso_dirname}/boot/syslinux/hdt/modalias.gz
-gzip -c -9 ${work_dir}/${arch}/root-image/usr/lib/modules/4.14.7-1/modules.alias > ${work_dir}/iso/${iso_dirname}/boot/syslinux/hdt/modalias.gz
+ gzip -c -9 ${work_dir}/${arch}/root-image/usr/lib/modules/*-gnu-*/modules.alias > ${work_dir}/iso/${iso_dirname}/boot/syslinux/hdt/modalias.gz
- # inject edition title
+ # inject edition title into boot menu
sed -i "s|_EDITION_TITLE_|${iso_title}|" ${work_dir}/iso/${iso_dirname}/boot/syslinux/parabolaiso_head.cfg
# prune orphan boot entries for single-architecture ISO